Package org.h2.jdbc.meta

# Class DatabaseMetaLocal

java.lang.Object
org.h2.jdbc.meta.DatabaseMeta
org.h2.jdbc.meta.DatabaseMetaLocal

public final class DatabaseMetaLocal extends DatabaseMeta
Local implementation of database meta information.

## Constructor Summary

Constructors
Constructor
Description
`DatabaseMetaLocal(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`final DefaultNullOrdering`
`defaultNullOrdering()`
INTERNAL
`final ResultInterface`
`getAttributes(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern)`
INTERNAL
`ResultInterface`
`getBestRowIdentifier(String catalog, String schema, String table, int scope, boolean nullable)`
INTERNAL
`ResultInterface`
`getCatalogs()`
INTERNAL
`ResultInterface`
`getColumnPrivileges(String catalog, String schema, String table, String columnNamePattern)`
INTERNAL
`ResultInterface`
`getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
INTERNAL
`ResultInterface`
`getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable)`
INTERNAL
`final int`
`getDatabaseMajorVersion()`
INTERNAL
`final int`
`getDatabaseMinorVersion()`
INTERNAL
`final String`
`getDatabaseProductVersion()`
INTERNAL
`ResultInterface`
`getExportedKeys(String catalog, String schema, String table)`
INTERNAL
`final ResultInterface`
`getFunctionColumns(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern)`
INTERNAL
`final ResultInterface`
`getFunctions(String catalog, String schemaPattern, String functionNamePattern)`
INTERNAL
`ResultInterface`
`getImportedKeys(String catalog, String schema, String table)`
INTERNAL
`ResultInterface`
`getIndexInfo(String catalog, String schema, String table, boolean unique, boolean approximate)`
INTERNAL
`String`
`getNumericFunctions()`
INTERNAL
`ResultInterface`
`getPrimaryKeys(String catalog, String schema, String table)`
INTERNAL
`ResultInterface`
`getProcedureColumns(String catalog, String schemaPattern, String procedureNamePattern, String columnNamePattern)`
INTERNAL
`ResultInterface`
`getProcedures(String catalog, String schemaPattern, String procedureNamePattern)`
INTERNAL
`ResultInterface`
`getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
INTERNAL
`ResultInterface`
`getSchemas()`
INTERNAL
`ResultInterface`
`getSchemas(String catalog, String schemaPattern)`
INTERNAL
`String`
`getSearchStringEscape()`
INTERNAL
`String`
`getSQLKeywords()`
INTERNAL
`String`
`getStringFunctions()`
INTERNAL
`final ResultInterface`
`getSuperTables(String catalog, String schemaPattern, String tableNamePattern)`
INTERNAL
`final ResultInterface`
`getSuperTypes(String catalog, String schemaPattern, String typeNamePattern)`
INTERNAL
`String`
`getSystemFunctions()`
INTERNAL
`ResultInterface`
`getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern)`
INTERNAL
`ResultInterface`
`getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)`
INTERNAL
`ResultInterface`
`getTableTypes()`
INTERNAL
`String`
`getTimeDateFunctions()`
INTERNAL
`ResultInterface`
`getTypeInfo()`
INTERNAL
`final ResultInterface`
`getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types)`
INTERNAL
`final ResultInterface`
`getVersionColumns(String catalog, String schema, String table)`
INTERNAL

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabaseMetaLocal

public DatabaseMetaLocal(SessionLocal session)

## Method Details

### defaultNullOrdering

public final DefaultNullOrdering defaultNullOrdering()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `defaultNullOrdering` in class `DatabaseMeta`
Returns:
  DefaultNullOrdering
See Also:
  - `DatabaseMetaData.nullsAreSortedHigh()`
  - `DatabaseMetaData.nullsAreSortedLow()`
  - `DatabaseMetaData.nullsAreSortedAtStart()`
  - `DatabaseMetaData.nullsAreSortedAtEnd()`

### getSQLKeywords

public String getSQLKeywords()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSQLKeywords` in class `DatabaseMeta`
Returns:
  list of supported SQL keywords
See Also:
  - `DatabaseMetaData.getSQLKeywords()`

### getNumericFunctions

public String getNumericFunctions()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getNumericFunctions` in class `DatabaseMeta`
Returns:
  list of supported numeric functions
See Also:
  - `DatabaseMetaData.getNumericFunctions()`

### getStringFunctions

public String getStringFunctions()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getStringFunctions` in class `DatabaseMeta`
Returns:
  list of supported string functions
See Also:
  - `DatabaseMetaData.getStringFunctions()`

### getSystemFunctions

public String getSystemFunctions()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSystemFunctions` in class `DatabaseMeta`
Returns:
  list of supported system functions
See Also:
  - `DatabaseMetaData.getSystemFunctions()`

### getTimeDateFunctions

public String getTimeDateFunctions()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTimeDateFunctions` in class `DatabaseMeta`
Returns:
  list of supported time/date functions
See Also:
  - `DatabaseMetaData.getTimeDateFunctions()`

### getSearchStringEscape

public String getSearchStringEscape()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSearchStringEscape` in class `DatabaseMeta`
Returns:
  search string escape sequence
See Also:
  - `DatabaseMetaData.getSearchStringEscape()`

### getProcedures

public ResultInterface getProcedures(String catalog, String schemaPattern, String procedureNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getProcedures` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getProcedures(String, String, String)`

### getProcedureColumns

public ResultInterface getProcedureColumns(String catalog, String schemaPattern, String procedureNamePattern, String columnNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getProcedureColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getProcedureColumns(String, String, String, String)`

### getTables

public ResultInterface getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTables` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `types` - String[]
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTables(String, String, String, String[])`

### getSchemas

public ResultInterface getSchemas()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSchemas` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSchemas()`

### getCatalogs

public ResultInterface getCatalogs()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getCatalogs` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getCatalogs()`

### getTableTypes

public ResultInterface getTableTypes()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTableTypes` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTableTypes()`

### getColumns

public ResultInterface getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getColumns(String, String, String, String)`

### getColumnPrivileges

public ResultInterface getColumnPrivileges(String catalog, String schema, String table, String columnNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getColumnPrivileges` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getColumnPrivileges(String, String, String, String)`

### getTablePrivileges

public ResultInterface getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTablePrivileges` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTablePrivileges(String, String, String)`

### getBestRowIdentifier

public ResultInterface getBestRowIdentifier(String catalog, String schema, String table, int scope, boolean nullable)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getBestRowIdentifier` in class `DatabaseMeta`
Parameters:
  `catalog` - "LIKE" style pattern to filter result
  `schema` - "LIKE" style pattern to filter result
  `table` - table of interest
  `scope` - of interest
  `nullable` - include nullable columns
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getBestRowIdentifier(String, String, String, int, boolean)`

### getPrimaryKeys

public ResultInterface getPrimaryKeys(String catalog, String schema, String table)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getPrimaryKeys` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getPrimaryKeys(String, String, String)`

### getImportedKeys

public ResultInterface getImportedKeys(String catalog, String schema, String table)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getImportedKeys` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getImportedKeys(String, String, String)`

### getExportedKeys

public ResultInterface getExportedKeys(String catalog, String schema, String table)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getExportedKeys` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getExportedKeys(String, String, String)`

### getCrossReference

public ResultInterface getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getCrossReference` in class `DatabaseMeta`
Parameters:
  `primaryCatalog` - to inspect
  `primarySchema` - to inspect
  `primaryTable` - to inspect
  `foreignCatalog` - to inspect
  `foreignSchema` - to inspect
  `foreignTable` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getCrossReference(String, String, String, String, String, String)`

### getTypeInfo

public ResultInterface getTypeInfo()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTypeInfo` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTypeInfo()`

### getIndexInfo

public ResultInterface getIndexInfo(String catalog, String schema, String table, boolean unique, boolean approximate)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getIndexInfo` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `unique` - only
  `approximate` - allowed
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getIndexInfo(String, String, String, boolean, boolean)`

### getSchemas

public ResultInterface getSchemas(String catalog, String schemaPattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSchemas` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSchemas(String, String)`

### getPseudoColumns

public ResultInterface getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getPseudoColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getPseudoColumns(String, String, String, String)`

### getDatabaseProductVersion

public final String getDatabaseProductVersion()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getDatabaseProductVersion` in class `DatabaseMeta`
Returns:
  product version as String
See Also:
  - `DatabaseMetaData.getDatabaseProductVersion()`

### getVersionColumns

public final ResultInterface getVersionColumns(String catalog, String schema, String table)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getVersionColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getVersionColumns(String, String, String)`

### getUDTs

public final ResultInterface getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getUDTs` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `types` - int[]
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getUDTs(String, String, String, int[])`

### getSuperTypes

public final ResultInterface getSuperTypes(String catalog, String schemaPattern, String typeNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSuperTypes` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSuperTypes(String, String, String)`

### getSuperTables

public final ResultInterface getSuperTables(String catalog, String schemaPattern, String tableNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSuperTables` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSuperTables(String, String, String)`

### getAttributes

public final ResultInterface getAttributes(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getAttributes` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `attributeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getAttributes(String, String, String, String)`

### getDatabaseMajorVersion

public final int getDatabaseMajorVersion()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getDatabaseMajorVersion` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getDatabaseMajorVersion()`

### getDatabaseMinorVersion

public final int getDatabaseMinorVersion()
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getDatabaseMinorVersion` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getDatabaseMinorVersion()`

### getFunctions

public final ResultInterface getFunctions(String catalog, String schemaPattern, String functionNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getFunctions` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getFunctions(String, String, String)`

### getFunctionColumns

public final ResultInterface getFunctionColumns(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern)
Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getFunctionColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getFunctionColumns(String, String, String, String)`